#include "InstantiableSubNetwork.h"

namespace cosi
{

namespace library
{

namespace wiredbas
{

InstantiableSubNetwork::InstantiableSubNetwork(std::map<std::string, cosi::library::wiredbas::InstantiableNode*> N,
		std::map<std::string, cosi::library::wiredbas::InstantiableLink*> L)
{
	mNodes = N ;
	mLinks = L ;
	mI = 0x0 ;
}

InstantiableSubNetwork::~InstantiableSubNetwork()
{
}

 cosi::commstruct::wiredbas::Implementation* InstantiableSubNetwork::StartNew(){
	mI = new cosi::commstruct::wiredbas::Implementation("") ;
	return mI ;
}



}

}

}
